
%global meadversion 3.2.13
%global namedversion 3.2.13.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
%bcond_without mead
%bcond_with javadoc

%if %with mead
%bcond_with repolib
%else
%bcond_without repolib
%endif

%define oname jboss-vfs

%define maven_version 3.2.13.Final-redhat-1

Name:           jboss-vfs2
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss VFS
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jboss-vfs-3.2.13.Final-redhat-1-scm-sources.zip
Source102: jboss-vfs-3.2.13.Final-redhat-1-project-sources.tar.gz
Source103: jboss-vfs-3.2.13.Final-redhat-1-javadoc.jar
Source104: jboss-vfs-3.2.13.Final-redhat-1-sources.jar
Source105: jboss-vfs-3.2.13.Final-redhat-1.jar
Source106: jboss-vfs-3.2.13.Final-redhat-1.pom
%endif

URL:            http://www.jboss.org
%if %without mead
# git clone http://git.app.eng.bos.redhat.com/git/jbossas/jboss-vfs.git
# cd jboss-vfs
# git checkout 3.1.0.Final
# cd ..
# HEAD is now at 922c3db... Release 3.1.0.Final
# tar jcf jboss-vfs-3.1.0.Final.tar.bz2 jboss-vfs/
Source0:        jboss-vfs-%{version}%{?origtag}.tar.bz2
Patch0:         jboss-vfs-vman-pom.patch
%endif
Obsoletes:      jboss-vfs < %{epoch}:%{version}-%{release}
Provides:       jboss-vfs = %{epoch}:%{version}-%{release}

BuildRequires:  jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:  jboss-logging
Requires: jpackage-utils
%if %without mead
BuildRequires:  maven2
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-idea
BuildRequires:  maven2-plugin-deploy
BuildRequires:  jboss-parent
BuildRequires:  jboss-component-management
BuildRequires:  jboss-logging
BuildRequires:  junit4
BuildRequires:  jboss-test
BuildRequires:  jboss-profiler
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JBoss VFS library.

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{oname}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
API documentation for %{oname}.
%endif

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%if %without mead
%setup -q -n %{oname}
%patch0 -p1

%if 0
# remove test classes which depends on jboss-test
rm -rf src/test/* 
%endif
%endif

%build
%if %without mead
export LC_ALL=en_US.UTF8
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file:`pwd`/maven2-brew
export MAVEN_OPTS="-Xms1g -Xmx1g -XX:MaxPermSize=512M -Dproject.build.sourceEncoding=UTF8"
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} deploy javadoc:aggregate
%endif

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
%if %without mead
install -p -m 644 target/%{oname}-%{namedversion}.jar  %{buildroot}%{_javadir}/%{oname}-%{namedversion}.jar
install -p -m 644 target/%{oname}-%{namedversion}-sources.jar  %{buildroot}%{_javadir}/%{oname}-%{namedversion}-sources.jar
%else
%{__cp} -p %{_sourcedir}/%{oname}-%{namedversion}.jar %{buildroot}%{_javadir}/%{oname}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{oname}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{oname}-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar | sed "s|-%{namedversion}||g"`; done)

# pom
install -d -m 0755 %{buildroot}%{_mavenpomdir}
%if %without mead
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{oname}.pom
%else
%{__cp} -p %{_sourcedir}/%{oname}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{oname}.pom
%endif
%add_to_maven_depmap org.jboss %{oname} %{namedversion} JPP %{oname}
[ -f %{buildroot}%{_mavendepmapfragdir}/%{oname} ] || mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{oname}

# javadoc
%if %with javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{oname}-%{namedversion}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{oname}-%{namedversion}
ln -s %{oname}-%{namedversion} %{buildroot}%{_javadocdir}/%{oname}
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/jboss-vfs-%{namedversion}.jar
%{_javadir}*/jboss-vfs.jar
%{_javadir}*/jboss-vfs-%{namedversion}-sources.jar
%{_javadir}*/jboss-vfs-sources.jar
%{_mavenpomdir}/JPP-%{oname}.pom
%{_mavendepmapfragdir}/%{oname}

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{oname}-%{namedversion}
%{_javadocdir}/%{oname}
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Wed Aug 08 2018 Aurel Pintea <apintea@redhat.com> - 3.2.13-1.Final_redhat_1.1
- Upgrade to 3.2.13.Final

* Thu Jun 29 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.12-1.Final_redhat_1.1
- Re-wrap for EAP 6.4

* Thu Aug 20 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.10-1.Final_redhat_1.1
- Upgrade to 3.2.10.Final

* Wed Jan 07 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.9-1.Final_redhat_1.1
- Upgrade to 3.2.9.Final

* Fri Nov 28 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.8-1.Final_redhat_1.1
- Upgrade to 3.2.8.Final

* Tue May 06 2014 Permaine Cheung <pcheung@redhat.com> - 3.2.5-1.Final_redhat_1.1
- 3.2.5.Final

* Thu Apr 10 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.4-1.Final_redhat_1.1
- Upgrade to 3.2.4.Final

* Mon Sep 23 2013 Hui Wang <huwang@redhat.com> - 0:3.2.2-1.Final_redhat_1
- Upgrade to 3.2.2.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.1.0-4.Final_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:3.1.0-3.Final_redhat_2
- Update pom patch for eap 6.0.1

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.1.0-2.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.1.0-2.Final_redhat_1.1
- Rebuild using cache signing

* Wed Jun 20 2012 Martha Benitez <mbenitez@redhat.com> - 0:3.1.0-2.Final_redhat_1
- Build in MEAD

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.1.0-1.Final_redhat_1.1
- Rebuild using cache signing

* Fri Feb 17 2012 Hui Wang <huwang@redhat.com> 0:3.1.0-1.Final_redhat_1
- Upgrade to 3.1.0.Final

* Tue Feb 07 2012 David Walluck <dwalluck@redhat.com> 0:3.1.0-0.2
- put back jboss-test
- remove redundant jar name
- fix jar location (fixes unowned dir)
- fix repolib dir ownership

* Tue Feb 07 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.1.0-0.1.CR1_redhat_1.1
- Do not require jboss-parent at run-time

* Thu Feb 02 2012 Hui Wang <huwang@redhat.com> - 0:3.1.0-0.1.CR1_redhat_1
- Upgrade to 3.1.0.CR1

* Mon Aug 22 2011 Hui Wang <huwang@redhat.com> - 0:3.0.1-1.GA_redhat_1
- Upgrade to 3.0.1.GA
- Build for Werewolf

* Fri May 27 2011 Hui Wang <huwang@rdhat.com> 0:3.0.0-3.GA
- Rebuild

* Tue May 24 2011 Hui Wang <huwang@rdhat.com> 0:3.0.0-2.GA
- Rebuild

* Tue May 24 2011 Hui Wang <huwang@rdhat.com> 0:3.0.0-1.GA
- Upgrade to 3.0.0.GA
- Cleanup 

* Wed Apr 06 2011 David Walluck <dwalluck@redhat.com> 0:2.2.0-4.SP1.3
- don't Requires: junit
- remove codehaus-stax11 from jpp-depmap.xml (not even in BR)
- javadoc pkg Requires: jpackage-utils
- add corresponding Provides for Obsoletes
- use full version in jar and dir names

* Wed Mar 16 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-4.SP1.2
- Remove R maven2, jboss-test

* Fri Mar 11 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-4.SP1.1
- Fix Release number
- Recover spec file from previous version

* Tue Feb 15 2011 Hui Wang <huwang@redhat.com> - 0:2.2.0-2.SP1
- Add Obsoletes jboss-vfs
- Fix version in install section
- Add depmap entrance for qdox

* Sat Feb 12 2011 Hui Wang <huwang@redhat.com> - 0:2.2.0-1.SP1
- Update to 2.2.0.SP1
- Clearups

* Fri Jan 21 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-4
- Add patch to adjust jboss-parent version
- Change BR junit44 to junit4

* Fri Dec 10 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-3
- Build with maven 2.2.1
- Change BR maven release to maven-release-plugin
- Add BR maven-deploy-plugin, maven-site

* Fri Jul 09 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-2
- Add Obsoletes jboss-vfs
- Add BR codehaus-stax11-api, xerces-j2, xml-commons-jaxp-1.3-apis

* Wed Jun 02 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-1.1
- Add BR dtdparser, xml-commons-jaxp-1.3-apis

* Wed May 26 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-1
- Upgrade to 2.2.0.GA
- Add BR maven2-plugin-idea

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.1.3-3.1
- rebuilt

* Wed Apr 21 2010 Weinan Li <weli@redhat.com> 0:2.1.3-3
- Rebuild

* Wed Sep 23 2009 Fernando Nasser <fnasser@redhat.com> 0:2.1.3-2
- Rebuild with signing

* Tue Sep 22 2009 Martha Benitez <mbenitez@redhat.com> 0:2.1.3-1
- Upgrade to 2.1.3.SP1
- Add BR jboss-naming

* Thu Jun 18 2009 David Walluck <dwalluck@redhat.com> 0:2.1.2-2
- add repolib
- install symlink to upstream name

* Wed Jun 10 2009 Ralph Apel <r.apel@r-apel.de> - 0:2.1.2-1.jpp5
- first release
